Page MenuHomePhabricator

Consider Video.js for Wikispeech
Closed, ResolvedPublic1 Story Points

Description

MediaWiki will likely move over to video.js per T100106.

Make sure Wikispeech uses this if possible.

Goal of the task is to figure out if this is possible, or when it will be possible and set up the resulting follow up tasks.

Event Timeline

Lokal_Profil raised the priority of this task from to Needs Triage.
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil added a subscriber: Lokal_Profil.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 14 2016, 5:38 PM
brion added a subscriber: brion.Apr 24 2016, 12:26 PM

It would probably be good to use a common instance of videojs to avoid duplicate loading, support file type alternates (such as the ogg shim for Safari, Edge, and IE), and generally use a consistent player style.

Could either make TimedMediaHandler a dependency, or break things out to a common library of some kind.

TheDJ added a subscriber: TheDJ.May 17 2016, 2:43 PM

I'll see if I can make the functions of the video.js loader public, so that other loaders can reuse parts of it. That seems like the most logical strategy to me.

Lokal_Profil updated the task description. (Show Details)Jul 4 2016, 9:08 AM
Lokal_Profil set the point value for this task to 1.

@TheDJ: If we build the extension to make use of TMH, how significant would the needed changes be on our end when that switches over from Kaltura to video.js?

Wondering since we are currently using the HTML5 player for our testing purposes.

TheDJ added a comment.Jul 13 2016, 8:01 AM

@Sebastian_Berlin-WMSE depends on how many things other than "play audio" you want to do. The more interactions with the kaltura player you make, the more you probably need to rewrite. Video.js however fully mirrors the HTML5 <video> element api.

Note that you can already use the video.js player, by setting config variable wgTmhWebPlayer = 'videojs'

Lokal_Profil closed this task as Resolved.Aug 10 2016, 10:03 AM
Lokal_Profil claimed this task.

Many thanks for the feedback.

Implementation has been broken out into T142562.